
Insteon - Bug #905

category and subcategory seemed to be confused in some cases

11/20/2014 10:17 PM - Luke Murphey

Status: New Start date: 11/20/2014

Priority: Normal Due date:  

Assignee: Luke Murphey % Done: 0%

Category:  Estimated time: 0.00 hour

Target version: 0.10   

Description

The logs from the thermostat that send the humidity level to the hub are tagged with a category and sub-category of the hub, not the

thermostat.

This is how it currently works:  

Case Device Notes

all-link but not broadcast from

direct and ack from a device is acknowledging a

command sent to it

direct to a device sent a command to a

device (this is the one that is

causing problems)

not direct (default case) from

History

#1 - 11/20/2014 10:23 PM - Luke Murphey

- Description updated

- Assignee set to Luke Murphey

- Target version set to 0.5

#2 - 11/20/2014 10:25 PM - Luke Murphey

The quandry is how to handle these cases:

1. The thermostat sends a command to the hub. The command is relevant to the thermostat, not the receiving device (hub)

2. A device sends a command directly (like the power-synching controller)

#3 - 11/20/2014 10:25 PM - Luke Murphey

It could be that is isn't the to/from I should be looking whether the device is a modem or not.

#4 - 11/24/2014 06:57 PM - Luke Murphey

I wonder if dumping the all-link database tables would help here. Those records indicate which is the controller and responder.

#5 - 03/31/2015 06:32 AM - Luke Murphey

- Target version changed from 0.5 to 0.6

#6 - 04/11/2015 12:39 AM - Luke Murphey

- Target version changed from 0.6 to 0.9

#7 - 02/02/2016 03:15 AM - Luke Murphey

- Target version changed from 0.9 to 0.10
